### Enumeration

# Camel SExpTermType

since: 3.4

#### Declaration

    enum Camel.SExpTermType

#### Description [src]

Defines type of a `CamelSExpTerm` and partly also `CamelSExpSymbol`.

Available since: 3.4

#### Members

`CAMEL_SEXP_TERM_INT`

  Integer literal.

  - Value: `0`
  - Available since: 3.4
`CAMEL_SEXP_TERM_BOOL`

  Boolean literal.

  - Value: `1`
  - Available since: 3.4
`CAMEL_SEXP_TERM_STRING`

  String literal.

  - Value: `2`
  - Available since: 3.4
`CAMEL_SEXP_TERM_TIME`

  Time_t literal (number of seconds past the epoch).

  - Value: `3`
  - Available since: 3.4
`CAMEL_SEXP_TERM_FUNC`

  Normal function, arguments are evaluated before calling.

  - Value: `4`
  - Available since: 3.4
`CAMEL_SEXP_TERM_IFUNC`

  Immediate function, raw terms are arguments.

  - Value: `5`
  - Available since: 3.4
`CAMEL_SEXP_TERM_VAR`

  Variable reference.

  - Value: `6`
  - Available since: 3.4